Subject: bug#62775: closed (Re: bug#62775: 29.0.60; C-M-i or ispell-complete-word experiences "lookup-words error")

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Apr 2023 15:46:02 +0000

Your bug report

#62775: 29.0.60; C-M-i or ispell-complete-word experiences "lookup-words error"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62775: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62775
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62775: 29.0.60; C-M-i or ispell-complete-word experiences "lookup-words error"
From: Eli Zaretskii <[email-masked]>
To: Van Ly <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Apr 2023 18:45:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 11 Apr 2023 15:31:35 GMT
> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> 
> > I've now added the fact that a word-list file is necessary for
> > ispell-complete-word to work to the command's doc string.  I don't
> > think we should or can do anything else about it.
> 
> From a user's perspective ispell-word and ispell-complete-word feel as
> though they are facets of the one thing.  Ideally, if one aspect of
> ispell works the rest should.

Well, "should" is the wrong expectation for a feature that depends on
additional data files, especially since modern Posix installations
decided to remove that file (it used to be available on all the
systems when ispell.el was written).  The fact that this feature
depends on additional file is now mentioned in the doc string.

So I think we have done everything we can about this issue, and I'm
therefore closing this bug.

Subject: 29.0.60; C-M-i or ispell-complete-word experiences "lookup-words error"
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Tue, 11 Apr 2023 12:48:13 GMT
List-Id: <debbugs-submit.debbugs.gnu.org>

M-$ or ispell-word works by default but C-M-i or ispell-complete-word fails.

Steps to reproduce the error
 - emacs -Q
 - C-x b xxx
 - M-x text-mode
 +
 - type "ju"
 - C-M-i ;;=> causes the echo area to say the following

> ispell-lookup-words: lookup-words error: No plain word-list found at
> systemdefault locations.  Customize ‘ispell-alternate-dictionary’ to
> set yours.

The unexpected behavior is the above error shown in the *Messages* buffer.

The expected behavior is similar to the result from M-$ or ispell-word providing a list of options to choose.

A workaround I have found is as follows
 - at the shell command line
 - $ aspell -l en dump master > en-word-list
 - $ sort en-word-list > en-sorted-word-list
 +
 - customize:ispell-complete-word-dict to read the file "path/to/en-sorted-word-list"
 - C-M-i on "ju" then generates a listing of word options

See attached file bug-gnu-emacs--report.text